# This file controls handling of the monorepo sub-sites under the `sites` directory.
#
# `paths` is a list of URL root paths which are served by the site.  For some sites,
# this is a single path which is identical to the site name.  For other sites, it may not be.
#
# `development_paths` is a list of URL root paths which are served only in development mode.
# This is required to allow paths under the top-level `source` directory to be served
# and not filtered out by the monorepo.rb extension.
#
# `shared_files` is an explicit allow-list of the site's shared files from
# the top-level `source` folder. We do not include everything under the top level,
# to increase performance, and to discourage adding site-specific files to the shared files.
#
# Note that (unlike shared_files), single files in `paths` and `development_paths` should NOT
# have any extra extensions like `.haml`, only what will be the actual file name in the URL path.
#
#
# Do not add a new entry to `shared_files` unless it is actually "shared", and is used by multiple sites.
# Otherwise, add it under `/sites/<sitename>/source`. For example:
#    Site-specific include file: `/sites/handbook/source/includes/example_include.html.haml`,
#    Partial reference from handbook template: `= partial "handbook/includes/example_include"`
#
# NOTE: Because of the way Middleman works, files under `sites/<sitename>/source` which are
#       referenced via `partial` do NOT have to be explicitly listed in `paths:`.
#       Middleman will find them anyway (via Padrino `partial` method and `template_renderer.rb`).
#
#       HOWEVER, paths which are referenced as a template via a proxy resource
#       or the blog extension MUST be matched by (or nested under) one of the entries in `paths:`, or else
#       they will be filtered out by the `monorepo.rb` extension and cause a "proxies to unknown file" error.
#       See Middleman::Sitemap::Store#ensure_resource_list_updated! for the related logic.
#
# NOTE: Every manually added file (which is not generated by monorepo-migration-helper.rb) should have a
#       comment indicating where it is used, so it can be removed if later found to be unused. Note that
#       a file may be used from multiple places - they do not all need to be listed, but list at least one.
#
# NOTE: `images` entries are needed when referring to SVG images as partials, so they will be
#       rendered as inline SVGs (e.g. `= partial "/images/maturity/planned.svg"`)

handbook:
  paths:
    - handbook
    - salary
    - speakers
  development_paths:
    - ico
    - images
    - index.html # Needed for development mode root redirect to work
    - javascripts
    - stylesheets
  shared_files:
    # TODO: Make monorepo-migration-helper.rb follow transitive dependencies, so less manual editing is needed.
    # TODO: rename files to remove the leading underscores
    - direction/.* # many subfolders, used from many places
    - images/maturity/.*svg # used indirectly from several places, including handbook/acquisitions/index.html.md.erb
    - images/organizations/.*svg # used from organizations.yml and other places
    - includes/_performance_indicator.* # used from helpers in /sites/handbook/source/handbook/people-group/people-team-performance-indicators/index.html.md.erb
    - includes/_pm_responsibilities.erb # used on handbook/product/product-manager-responsibilities and the related job-families page.
    - includes/cc-license.html.haml # used from /source/includes/layout/footer.html.haml
    - includes/form-to-resource.html.haml # used from /sites/handbook/source/handbook/uncategorized/uncategorized-operations/demandbase_test/index.html
    - includes/google/gtm.html.haml # used from /source/layouts/handbook-page-toc.haml
    - includes/group_table.haml # used from various places via /group.rb
    - includes/hello-bar-everywhere.html.haml # used from /source/layouts/header.html.haml
    - includes/highlight_tooltip_body.html.erb # used from /source/layouts/handbook-page-toc.haml
    - includes/highlight_tooltip_head.html.erb # used from /source/includes/layout/head.html.haml
    - includes/hiring-chart.html.erb # used from /helpers/team_helpers.rb in various places
    - includes/home/customer-logos-transparent.html.haml # used from /sites/handbook/source/handbook/uncategorized/uncategorized-operations/demandbase_test/index.html
    - includes/icons/sdlc-icons/.*svg # used from /source/direction/breadth/sdlc.html.haml
    - includes/layout/banner.html.erb
    - includes/layout/codeowners.html.haml # used from /source/layouts/handbook-page-toc.haml
    - includes/layout/edit_page.html.haml # used from /source/layouts/handbook-page-toc.haml
    - includes/layout/footer-social-media.html.haml # used from /source/includes/layout/footer.html.haml
    - includes/layout/footer.html.haml # used from /source/layouts/handbook-page-toc.haml
    - includes/layout/handbook_search.html.haml # used from /source/layouts/handbook-page-toc.haml
    - includes/layout/head.html.haml # used from /source/layouts/handbook-page-toc.haml
    - includes/layout/header.html.haml # used from /source/layouts/handbook-page-toc.haml
    - includes/layout/navigation/navigation-mobile.html.erb # used from /source/layouts/handbook-page-toc.haml
    - includes/layout/navigation/navigation-desktop.html.erb # used from /source/layouts/handbook-page-toc.haml
    - includes/layout/headline.html.haml # used from /source/layouts/handbook-page-toc.haml
    - includes/layout/meta.html.haml # used from /source/includes/layout/head.html.haml
    - includes/layout/nav.html.haml # used from /source/includes/layout/header.html.haml
    - includes/layout/scripts.html.haml # used from /source/includes/layout/footer.html.haml
    - includes/layout/search.html.haml # used from /source/includes/layout/header.html.haml
    - includes/location-factor-chart.html.erb # used from /helpers/team_helpers.rb
    - includes/logos/.*.svg # used from /source/includes/layout/header.html.haml and other places
    - includes/sitemap_template.xml.builder # used from handbook/sitemap_handbook.xml
    - includes/team_member_list.haml # used from various places via /helpers/team_helpers.rb
    - includes/team_member_table.haml # used from various places via /helpers/team_helpers.rb
    - layouts/default.haml
    - layouts/handbook-page-toc.haml
    - layouts/job_family_page.haml
    - layouts/layout.haml
    - layouts/markdown_page.haml
    - layouts/release.haml
    - layouts/value-driver.haml
# NOTE: This site used to be called "marketing", but it was renamed to
#       "uncategorized" to more clearly reflect that it contains
#       everything BUT the handbook.
uncategorized:
  paths:
    # Note that these templates are listed separately here, because they are not technically
    # a path for the uncategorized site, because they are not directly-served URL paths. However, they are
    # required to be listed here under `paths`, otherwise the monorepo extension will cause them to be excluded
    # and not found.  We could modify the monorepo.rb extension logic to handle them as a separate section than
    # paths, if we wanted, but it would be purely a semantic difference, they would still need to be handled the same.
    - category.html
    - templates
    # The following paths are all the direct children of sites/uncategorized. Directories vs. files are listed and sorted in separate sections.
    # Directories:
    - 20-years-open-source
    - 2020-devsecops-survey
    - 2021-survey
    - DIY-DevOps
    - admin
    - analysts
    - application-security
    - blog
    - calculator
    - ci-cd
    - cloud-native
    - community
    - company
    - compare
    - component-tests
    - concurrent-devops
    - corporate-philanthropy
    - customer-care
    - customers
    - de
    - de-de
    - demo
    - demo-leader
    - developer-survey
    - devops
    - devops-tools
    - digital-transformation
    - direction # This is required in order for direction proxy resource to generate correctly
    - en
    - en-us
    - events
    - experiments
    - features
    - forms
    - fr
    - fr-fr
    - free-trial
    - gdpr
    - get-help
    - get-started
    - gitlab-14
    - githost
    - images
    - install
    - is-it-any-good
    - ja-jp
    - job-families
    - jobs
    - just-commit
    - layouts
    - learn
    - multicloud
    - ops
    - out-of-the-office
    - partners
    - pdfs
    - press
    - pricing
    - privacy
    - products
    - releases
    - remote-work-report
    - renewals
    - resellers
    - resources
    - sales
    - search
    - security
    - services
    - simplify-devops
    - single-application
    - sitemaps
    - solutions
    - speakers
    - stages-devops-lifecycle
    - submit-feedback
    - support
    - terms
    - thank-you-for-registering
    - topics
    - training
    - upcoming-releases
    - update
    - upgrade
    - upgrade-to-package-repository
    - version-control
    - video
    - webcast
    - what-is-gitlab
    - why
    - wip
    # Files - note that (unlike shared_files) these should NOT have any extra extensions like `haml`, only what will be in the actual URL path:
    - 404.html
    - GitLabEvent.ics
    - State_of_Your_Territory.png
    - atom.xml
    - expensify.txt
    - feature-portland.jpg
    - hotjar.txt
    - index.html
    - mindmap.txt
    - releases.xml
    - robots.txt
    - roulette.json
    - sections.json
    - stages.json
    - groups.json
    - categories.json
    - security-releases.xml
    - sitemap.xml
    - team.json
    - unnamed.png
    - all-releases.xml
  development_paths:
    - ico
    - images
    - javascripts
    - stylesheets
  shared_files:
    # Shared files under top-level /source directory
    - direction/.* # make everything in this top-level directory available to uncategorized site for now
    - images/.* # make everything in this top-level directory available to uncategorized site for now
    - includes/.* # make everything in this top-level directory available to uncategorized site for now
    - layouts/.* # make everything in this top-level directory available to uncategorized site for now
